package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.CollectLineReportTruckWaitAuditParam;
import com.clx.performance.param.app.collect.CollectWaitReportReceiveAddressSaveParam;
import com.clx.performance.param.app.collect.CollectWaitReportSendAddressSaveParam;
import com.clx.performance.param.app.collect.PageCollectTruckWaitParam;
import com.clx.performance.param.pc.carrier.CarrierPageCollectTruckWaitParam;
import com.clx.performance.vo.pc.collect.CollectTruckWaitVO;

public interface CollectWaitReportService {

    void saveSendAddressReport(CollectWaitReportSendAddressSaveParam param);
    void saveReceiveAddressReport(CollectWaitReportReceiveAddressSaveParam param);

    CollectTruckWaitVO getReportInfo(Integer id);

    IPage<CollectTruckWaitVO> pageWaitReport(PageCollectTruckWaitParam param);

    void updateWaitReportAudit(CollectLineReportTruckWaitAuditParam param);
    IPage<CollectTruckWaitVO> carrierPageWaitReport(CarrierPageCollectTruckWaitParam param);


}
